Gatana logoGatana Docs
RoutesArtifactsArtifactidSharesMembertypeMemberid

/artifacts/{artifactId}/shares/{memberType}/{memberId}

Share an artifact with a user or a team, giving them read access whatever its visibility, and return who it is shared with

PUT
/artifacts/{artifactId}/shares/{memberType}/{memberId}
AuthorizationBearer <token>

In: header

Path Parameters

artifactId*string
memberType*string

'users' to share with one user account, 'teams' to share with every member of a team

Value in"users" | "teams"
memberId*string

ID of the user or of the team

Length1 <= length

Response Body

application/json

curl -X PUT "https://YOUR_ORG_ID.gatana.ai/api/v1/artifacts/string/shares/users/string"
{
  "users": [
    {
      "id": "string",
      "name": "string",
      "email": "string"
    }
  ],
  "teams": [
    {
      "id": "string",
      "name": "string",
      "memberCount": 0
    }
  ]
}